/* Custom global styles */
body {
    font-family: Arial, sans-serif;
    background-color: #f8f9fa;
}

.container {
    margin-top: 20px;
}


.submit-button {
    background-color: #007bff; /* Button background color */
    color: white; /* Button text color */
    border: none; /* Remove default border */
    padding: 10px 20px; /* Button padding */
    font-size: 16px; /* Button text size */
    border-radius: 5px; /* Rounded corners */
    cursor: pointer; /* Pointer cursor on hover */
    margin: 20px 0; /* Space above and below button */
    transition: background-color 0.3s, box-shadow 0.3s; /* Smooth transition for hover effects */
}

/* Center the button-container */
.button-container {
    text-align: center; /* Center the button inside its container */
}

/* Style the button on hover */
.submit-button:hover {
    background-color: #0056b3; /* Darker shade on hover */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Shadow effect on hover */
}

.upload-area {
    margin-top: 150px;
    border: 2px dashed #cccccc;
    border-radius: 5px;
    padding: 50px;
    text-align: center;
    font-family: Arial, sans-serif;
    color: #999999;
    transition: background-color 0.3s;
    cursor: pointer;
}

.upload-area input[type="file"] {
    display: none;
}

.code-box {
    height: 600px; /* Adjust the height as needed */
    overflow-y: auto; /* Enable vertical scrolling */
    border: 1px solid #ddd; /* Optional: Add border for better visibility */
    padding: 0px; /* Optional: Add some padding inside the box */
    background-color: #f5f5f5; /* Optional: Add a background color */
    border-radius: 5px; /* Optional: Add rounded corners */
    margin-left: 0px;
   
}



.line-number {
    display: inline-block;
    width: 40px; /* Adjust width to fit line numbers */
    text-align: left;
    color: #888;
    user-select: none; /* Prevent text selection */
}

.stat-item {
    margin-right: 15px; /* Space between items */
    margin-bottom: 10px; /* Space between rows */
}
.badge {
    font-size: 14px;
    padding: 6px 12px;
}
.badge.bg-light {
    background-color: #f8f9fa;
}
.badge.bg-dark {
    background-color: #343a40;
}
.card-body-info {
    text-align: center; /* Center the text in the card body */
}

/* Ensure that the .navigation-buttons class is styled correctly */
.navigation-buttons {
    display: flex;
    justify-content: center; /* Center the buttons horizontally */
    margin-top: 20px; /* Space above the buttons */
    
}

.navigation-buttons .btn {
    margin: 0 10px; /* Space between buttons */
    
}

/* styles.css */
.navbar .btn-danger {
    margin-left: auto; /* Push the button to the far right */
}



/* Add this to your dashboard.css to ensure the chart background is set to white */

.button-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    margin: 20px 0;
}

.save-changes-btn {
    align-self: center; /* Center the 'Save Changes' button horizontally */
}

.generate-feedback-btn {
    align-self: center; /* Center the 'Generate Feedback' button horizontally */
}

.download-feedback-btn {
    position: fixed;
    bottom: 20px; /* Distance from the bottom */
    right: 20px;  /* Distance from the right */
    /* Optional: Additional styles for appearance */
    background-color: #dc3545; /* Bootstrap's danger color */
    color: white;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    font-size: 16px;
    cursor: pointer;
}

.download-feedback-btn:hover {
    background-color: #c82333; /* Darker shade on hover */
}

 /* Ensure the table takes up some additional height */
 .table {
    width: 100%; /* Ensure table takes full width of the container */
    border-collapse: collapse; /* Remove spacing between borders */
    margin-top: 10%;
}

/* Add padding to table cells for more height */
.table td, .table th {
    padding: 20px; /* Adjust padding to make the cells taller */
    vertical-align: middle; /* Vertically center content */
}

/* Add a border for better visibility */
.table th, .table td {
    border: 1px solid #dee2e6; /* Light border color for visibility */
}

/* Optional: Increase the height of the table */
.table-container {
    height: 400px; /* Set a height for the table container */
    overflow-y: auto; /* Add vertical scroll if needed */
}